LibreOffice: XTextMarkup Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XTextMarkup Interface Reference

provides functionality to markup text. More...

`import"XTextMarkup.idl";`

Inheritance diagram for XTextMarkup:

## Public Member Functions
com::sun::star::container::XStringKeyMap | getMarkupInfoContainer ()
| obtains a container to store additional user defined text markup information. More...
void | commitStringMarkup ([in] long nType, [in] string aIdentifier, [in] long nStart, [in] long nLength, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)
| submits a new markup range. More...
void | commitTextRangeMarkup ([in] long nType, [in] string aIdentifier, [in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)

## Detailed Description

provides functionality to markup text.

Since
  OOo 2.3

## Member Function Documentation

## ◆ commitStringMarkup()

void commitStringMarkup | ( | [in] long | nType,
|  | [in] string | aIdentifier,
|  | [in] long | nStart,
|  | [in] long | nLength,
|  | [in] com::sun::star::container::XStringKeyMap | xMarkupInfoContainer
| ) |  |

submits a new markup range.

Parameters

  nType | Type of text markup see TextMarkupType.
  aIdentifier | A string used to identify the caller.
  nStart | Start of the markup range.
  nLength | Length of the markup range.
  xMarkupInfoContainer | contains additional information about the markup.

## ◆ commitTextRangeMarkup()

void commitTextRangeMarkup | ( | [in] long | nType,
|  | [in] string | aIdentifier,
|  | [in] com::sun::star::text::XTextRange | xRange,
|  | [in] com::sun::star::container::XStringKeyMap | xMarkupInfoContainer
| ) |  |

## ◆ getMarkupInfoContainer()

com::sun::star::container::XStringKeyMap getMarkupInfoContainer | ( |  | ) |

obtains a container to store additional user defined text markup information.

Returns
  a container to store additional user defined text markup information.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextMarkup.idl